Bug 892068 - [fork][model refactor]It's failed to create any scalable jboss and python-2.6 apps
[fork][model refactor]It's failed to create any scalable jboss and python-2.6...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Dan McPherson
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-04 22:42 EST by joycezhang
Modified: 2015-05-14 22:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: fork_ami_refctr1_392
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:04:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
development log (39.61 KB, text/x-log)
2013-01-04 22:42 EST, joycezhang
no flags Details

  None (edit)
Description joycezhang 2013-01-04 22:42:49 EST
Created attachment 672661 [details]
development log

Description of problem:
If try to create an app for jbosssews-2.0 cartridge, it would be failed with following error:

# rhc app create ews3 jbossews-2.0
Password: *

Application Options
===================
  Namespace: fork381test1
  Cartridge: jbossews-2.0
  Gear Size: default
  Scaling:   no

Creating application 'ews3' ... The server did not respond correctly. This may be an issue with the server configuration or with your connection to the server (such as a Web proxy or firewall).Please verify that you can access the OpenShift server https://ec2-50-19-48-177.compute-1.amazonaws.com/broker/rest/domains/fork381test1/applications


Version-Release number of selected component (if applicable):
fork_ami_refctr1_381 
rhc-1.3.2+.gem (the rhc built from the latest devenv_2364)

How reproducible:
always

Steps to Reproduce:
1.Create a jbossews-2.0 app

  
Actual results:
It's failed to create jbossews-2.0 app. Please refer to the development log as attached.

Expected results:
App should be created successfully.

Additional info:
Comment 1 joycezhang 2013-01-05 00:00:13 EST
This bug occurred when creating scalable/non-scalable jbossews-2.0 apps or scalable jbossews-1.0, jbossas-7 and jbosseap-6.0 apps. 
It worked well with non-scalable jbossews-1.0, jbosseap-6.0 and jbossas-7 apps.
Comment 2 joycezhang 2013-01-05 00:54:57 EST
It also couldn't create scalable python-2.6  apps, let me summarize the results here for your reference:

1. Couldn't create follwing scalable apps:
jbosseap-6.0
jbossas-7
jbossews-1.0
jbossews-2.0
python-2.6

2.Couldn't create jbossews-2.0 non-scalable app.
Comment 3 Zhe Wang 2013-01-07 21:25:30 EST
failed to create both scalable and non-scalable jbossews-2.0 apps on fork_ami_refctr1_387.
Comment 4 Lili Nader 2013-01-08 14:38:02 EST
These cartridges are not scalable so you cannot create a scalable app using these cartridges

jbosseap-6.0
jbossas-7
jbossews-1.0
jbossews-2.0
python-2.6

I will open a separate bug for jbossews-2.0 which are not related to scaling.
Comment 5 Lili Nader 2013-01-08 14:39:05 EST
I have fixed the code so the apprpriate error message is returned.
Comment 6 Xiaoli Tian 2013-01-08 20:46:55 EST
(In reply to comment #4)
> These cartridges are not scalable so you cannot create a scalable app using
> these cartridges
> 
> jbosseap-6.0
> jbossas-7
> jbossews-1.0
> jbossews-2.0
> python-2.6

Should all the web cartridges are scalable now? 

Thanks

> 
> I will open a separate bug for jbossews-2.0 which are not related to scaling.
Comment 7 Rony Gong 2013-01-09 03:16:42 EST
Retest on fork_ami_refctr1_392
Create scalable app like jbosseap-6.0,jbossas-7,jbossews-1.0,python-2.6 
[qgong@localhost dev]$ rhc app create 194xnonm68 jbossas --no-git --timeout 360 -s
Password: 
Using jbossas-7 (JBoss Application Server 7.1) for 'jbossas'

Application Options
===================
  Gear Size: default
  Cartridge: jbossas-7
  Namespace: qgong5
  Scaling:   yes

Creating application '194xnonm68' ... Valid cartridge types:

Short Name   Full name
==========   =========
diy-0.1      Do-It-Yourself
jbossas-7    JBoss Application Server 7.1
jbosseap-6.0 JBoss Enterprise Application Platform 6.0
jenkins-1.4  Jenkins Server 1.4
nodejs-0.6   Node.js 0.6
perl-5.10    Perl 5.10
php-5.3      PHP 5.3
python-2.6   Python 2.6
ruby-1.8     Ruby 1.8
ruby-1.9     Ruby 1.9
jbossews-1.0 Tomcat 6 (JBoss EWS 1.0)
jbossews-2.0 Tomcat 7 (JBoss EWS 2.0)
zend-5.6     Zend Server 5.6

Create scalable jbossews-2.0, fail
[qgong@localhost dev]$ rhc app create qsjbossews2 jbossews-2.0 -s
Application Options
===================
  Gear Size: default
  Cartridge: jbossews-2.0
  Namespace: qgong5
  Scaling:   yes

Creating application 'jjboss' ... The server did not respond correctly. This may be an issue with the server configuration or with your connection to the server (such as a Web proxy or firewall).Please verify that you can access the OpenShift server https://ec2-107-21-171-219.compute-1.amazonaws.com/broker/rest/domains/qgong5/applications

Create other kind of scalable app, successfully!
Comment 8 Lili Nader 2013-01-09 13:20:26 EST
fixed in fork_ami_refctr1_392
Comment 9 joycezhang 2013-01-10 00:18:42 EST
Please refer to the verified results on fork_ami_refctr1_395 as below:

1. It can create non-scalable jbossews-2.0 app successfully:
# rhc app create ews9 jbossews-2.0
ews9 @ http://ews9-fork395test.dev.rhcloud.com/ (uuid: 50ee3bbd991353dc08000004)
================================================================================
  Created: 3:55 AM
  Git URL: ssh://50ee3bbd991353dc08000004@ews9-fork395test.dev.rhcloud.com/~/git/ews9.git/
  SSH:     50ee3bbd991353dc08000004@ews9-fork395test.dev.rhcloud.com

  jbossews-2.0 (Tomcat 7 (JBoss EWS 2.0))
  =======================================

RESULT:
Application ews9 was created.



2. It couldn't create scalable python and jboss relates apps, incorrect message like "python-2.6 cannot be embedded in scalable app 'appb'." is shown:
# rhc app create appb python-2.6 -s
Password: *

Application Options
===================
  Namespace: fork395test
  Cartridge: python-2.6
  Gear Size: default
  Scaling:   yes

Creating application 'appb' ... Valid cartridge types:

Short Name   Full name
==========   =========
diy-0.1      Do-It-Yourself
jbossas-7    JBoss Application Server 7.1
jbosseap-6.0 JBoss Enterprise Application Platform 6.0
jenkins-1.4  Jenkins Server 1.4
nodejs-0.6   Node.js 0.6
perl-5.10    Perl 5.10
php-5.3      PHP 5.3
python-2.6   Python 2.6
ruby-1.8     Ruby 1.8
ruby-1.9     Ruby 1.9
jbossews-1.0 Tomcat 6 (JBoss EWS 1.0)
jbossews-2.0 Tomcat 7 (JBoss EWS 2.0)
zend-5.6     Zend Server 5.6

python-2.6 cannot be embedded in scalable app 'appb'.

Expected resluts:

Following cartridges should be scalable.
jbosseap-6.0
jbossas-7
jbossews-1.0
jbossews-2.0
python-2.6
Comment 10 Dan McPherson 2013-01-10 22:50:55 EST
Everything should work now except for ews-2.0 from is broken for another reason:

https://bugzilla.redhat.com/show_bug.cgi?id=893877


Fixed in >= fork_ami_refctr1_401
Comment 11 joycezhang 2013-01-13 22:00:35 EST
Following scalabe apps can be created successfully now on fork_ami_refctr1_404.
jbosseap-6.0
jbossas-7
jbossews-1.0
python-2.6

Mark this bug as verified, and will track 893877 for the scalable jbossews-2.0 issue. Thanks.

Note You need to log in before you can comment on or make changes to this bug.